DeepFellow DOCS

List organization api keys.

GET
/v1/organization/admin_api_keys

Return a list of organization API keys.

Authorization

headerAuthorizationBearer <token>

Query Parameters

limit?integer
Range1 <= value
Default20
after?|null
order?string
Default"asc"
Value in"asc""desc"

Header Parameters

OpenAI-Organization?|

Organization Id from OpenAi compatible endpoint. Required to organization access or project access (with OpenAI-Project header) when logged as User or Admin User.

Response Body

Successful Response

application/json
  1. response

Model for listing organization api keys.

object?string
Default"list"
first_id*|null
last_id*|null
has_more*boolean
data*array<>
Example Request
curl -X GET 'https://deepfellow-server-host/v1/organization/admin_api_keys'
Example Response
{  "object": "list",  "first_id": "5eb7cf5a86d9755df3a6c593",  "last_id": "5eb7cf5a86d9755df3a6c593",  "has_more": true,  "data": [    {      "id": "5eb7cf5a86d9755df3a6c593",      "object": "organization.admin_api_key",      "name": "string",      "redacted_value": "dforg...xyz",      "owner": {        "created_at": 0,        "id": "5eb7cf5a86d9755df3a6c593",        "name": "Simplito",        "object": "organization.user",        "role": "owner",        "type": "user"      },      "created_at": 0,      "last_used_at": 0    }  ]}

We use cookies on our website. We use them to ensure proper functioning of the site and, if you agree, for purposes such as analytics, marketing, and targeting ads.